Bug 1261464 - Changing font color doesn't always work [NEEDINFO]
Summary: Changing font color doesn't always work
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxpanel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-09 11:46 UTC by Giulio 'juliuxpigface'
Modified: 2018-02-06 10:46 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-01-18 21:30:08 UTC
mtasaka: needinfo? (juliux.pigface)


Attachments (Terms of Use)
STEP 2 - Right-click on lxpanel (620.23 KB, image/png)
2015-09-10 06:01 UTC, Giulio 'juliuxpigface'
no flags Details
STEP 3 - Navigate to the second tab (Appearance) (552.42 KB, image/png)
2015-09-10 06:02 UTC, Giulio 'juliuxpigface'
no flags Details
STEP 4 - Select a custom character color (light-green in this screenshot) (552.81 KB, image/png)
2015-09-10 06:02 UTC, Giulio 'juliuxpigface'
no flags Details

Description Giulio 'juliuxpigface' 2015-09-09 11:46:31 UTC
Description of problem:
I can't set a custom color for the character of lxpanel. The compose I'm currently testing on qemu-kvm is 'Fedora-Live-LXDE-i686-23_Beta-TC4.iso'.

Version-Release number of selected component (if applicable):
lxpanel-0.8.1-2.fc23.i686

How reproducible:
Always, at least on this compose.

Steps to Reproduce:
1. Log In to a LXDE session
2. Right-click on lxpanel
3. Navigate to the second tab (my installation is in Italian, I guess it's called 'Look' or something similar)
4. Select a custom character color (e.g.: white)

Actual results:
1. The color doesn't change.

Expected results:
1. The color should change according to user's preferences.

Additional info:
Changing GTK themes appears sometimes (not always) to trigger that custom setting.

Comment 1 Mamoru TASAKA 2015-09-09 14:36:31 UTC
Can you take some screenshots to illustrate your procedure and the result you see?

Comment 2 Giulio 'juliuxpigface' 2015-09-10 06:01:30 UTC
Created attachment 1072021 [details]
STEP 2 - Right-click on lxpanel

Comment 3 Giulio 'juliuxpigface' 2015-09-10 06:02:13 UTC
Created attachment 1072022 [details]
STEP 3 - Navigate to the second tab (Appearance)

Comment 4 Giulio 'juliuxpigface' 2015-09-10 06:02:57 UTC
Created attachment 1072023 [details]
STEP 4 - Select a custom character color (light-green in this screenshot)

Comment 5 Giulio 'juliuxpigface' 2015-09-10 06:12:11 UTC
Hello Mamoru, many thanks for the fast response.

Some additional info:

- I tested this on a live session (always on qemu-kvm) and I can reproduce the issue.
- The correct section is called "Appearance", not "Look", sorry.
- If you take a look to "STEP 4" screenshot, you'll notice that the clock remains black, despite I chose light-green as color.
- Changing width, height and icon size of the panel causes sometimes lxpanel to refresh and correctly change the font color. But this doesn't always work.

Moreover, I tried to launch lxpanel from lxterminal and I've received these kinds of warning while testing (I'm not sure if they're valuable, though):

(lxpanel:2416): Wnck-WARNING **: Unhandled action type _OB_WM_ACTION_UNDECORATE

Comment 6 Mamoru TASAKA 2015-09-16 05:29:57 UTC
Okay, now I tried and it seems that at the timing when the display of the clock actually changes, the color is also updated. So

* when changing width and height of the panel and when the display of the clock actually changes, the color is also updated.
* and my settings of the strftime() format of the lxpanel clock is '%x (%a) %T', with this the clock is updated each second, so the color is updated within 1 second.

I guess currently the best workaround is to call

$ lxpanelctl restart

from the terminal. I will try to debug further later.

Comment 7 Fedora End Of Life 2016-11-24 12:28:37 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 14:36:10 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Giulio 'juliuxpigface' 2017-04-30 09:32:55 UTC
Reopening this, as it's reproducible on Fedora 26 too.

Comment 10 Mamoru TASAKA 2018-01-02 07:42:27 UTC
Ah, okay, now I think I have almost figured out how I can fix this "issue" - however from the coding of lxpanel I guess the upsteam is perhaps thinking there is no "demand" for updating plugins' displays when panel configuration change.

So each plugin has LXPanelPluginInit struct with .reconfigure member (funtion), which is called when panel configuration change. xkb plugin sets this funtion so panel configuration change is immediately reflected. On the other hand, dclock plugin does not set this function, weather plugin has this function but do nothing (effectively) at all.

Comment 11 Mamoru TASAKA 2018-01-02 15:28:09 UTC
Would you try the below? At least dclock and weather plugins should be fixed.

F-28:
https://koji.fedoraproject.org/koji/taskinfo?taskID=23972796
F-27:
https://koji.fedoraproject.org/koji/taskinfo?taskID=23972812
F-26:
https://koji.fedoraproject.org/koji/taskinfo?taskID=23972805

Comment 12 Fedora Update System 2018-01-09 08:45:23 UTC
lxpanel-0.9.3-2.D20180109git2ddf8dfc.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5bbc527345

Comment 13 Fedora Update System 2018-01-09 08:45:49 UTC
lxpanel-0.9.3-2.D20180109git2ddf8dfc.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4818a0a3fb

Comment 14 Fedora Update System 2018-01-09 17:23:46 UTC
lxpanel-0.9.3-2.D20180109git2ddf8dfc.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4818a0a3fb

Comment 15 Fedora Update System 2018-01-09 17:44:29 UTC
lxpanel-0.9.3-2.D20180109git2ddf8dfc.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5bbc527345

Comment 16 Fedora Update System 2018-01-18 21:30:08 UTC
lxpanel-0.9.3-2.D20180109git2ddf8dfc.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-02-06 10:46:50 UTC
lxpanel-0.9.3-2.D20180109git2ddf8dfc.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.